<?php
/**
 * PaymentSystemEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\OmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * OMS
 *
 * Управление заказами
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\OmsClient\Dto;
use \Ensi\OmsClient\ObjectSerializer;

/**
 * PaymentSystemEnum Class Doc Comment
 *
 * @category Class
 * @description Система оплаты. Расшифровка значений:   * &#x60;3&#x60; - Тестовая система   * &#x60;4&#x60; - Наличные   * &#x60;5&#x60; - СБП   * &#x60;6&#x60; – Тинькофф онлайн   * &#x60;7&#x60; – Тинькофф СБП   * &#x60;8&#x60; - Сбер   * &#x60;9&#x60; - Сбер СБП
 * @package  Ensi\OmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class PaymentSystemEnum
{
    
    /** Тестовая система */
    public const TEST = 3;
    
    /** Наличные */
    public const CASH = 4;
    
    /** СБП */
    public const SBP = 5;
    
    /** Тинькофф онлайн */
    public const TINKOFF = 6;
    
    /** Тинькофф СБП */
    public const TINKOFF_SBP = 7;
    
    /** Сбер */
    public const SBER = 8;
    
    /** Сбер СБП */
    public const SBER_SBP = 9;
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::TEST,
            self::CASH,
            self::SBP,
            self::TINKOFF,
            self::TINKOFF_SBP,
            self::SBER,
            self::SBER_SBP,
        ];
    }

    /**
    * Gets allowable values and titles of the enum
    * @return string[]
    */
    public static function getDescriptions(): array
    {
        return [
            self::TEST => 'Тестовая система',
            self::CASH => 'Наличные',
            self::SBP => 'СБП',
            self::TINKOFF => 'Тинькофф онлайн',
            self::TINKOFF_SBP => 'Тинькофф СБП',
            self::SBER => 'Сбер',
            self::SBER_SBP => 'Сбер СБП',
        ];
    }
}


